%  YLIM Adjust Y Limits of plot
%  
%  
%  USAGE
%  
%  There are several ways to use ylim to adjust the y limits of
%  a plot.  The x-axis retains its current limits.  The four
%  syntaxes are
%  
%     ylim([lo,hi])   
%     ylim(lo,hi)
%     ylim('auto')
%     ylim auto
%  
%  where in the first two forms, the new y-limits on the plot are
%  [lo,hi].  In the second two forms, the axes limits are 
%  automatically selected by FreeMat.
%  
%Copyright (c) 2004,2005 Brian Yanoff, Samit Basu
function ylim(lim1, lim2)
  if isa(lim1,'string') & strcmp(lim1,'auto')
      axis_limits = axis;
      axis('auto');
      auto_limits = axis; 
      axis_limits(3) = auto_limits(3);
      axis_limits(4) = auto_limits(4);
      axis(axis_limits);
  elseif isa(lim1,'string')
      error('do not understand arguments to ylim function');
  end

  if prod(size(lim1))>1
    lo_lim = lim1(1);
    hi_lim = lim1(2);
  elseif ~isset('lim2')
    error('ylim requires a 2-vector or two scalar parameters');
  elseif prod(size(lim1))==1
    lo_lim = lim1;
    hi_lim = lim2(1);
  end
  
  axis_limits = axis;
  axis_limits(3) = lo_lim;
  axis_limits(4) = hi_lim;
  axis(axis_limits);

  
